<?php
/*
 * Created on Mar 15, 2007
 *
 * By Paul Leung
 * 
 * sql command constant. If you want the finally sql statement fit other backend
 * try to rewrite the following constant to fit. currently This is mysql ver 5.0
 * specify. This is because view is needed.
 */
class sqlConfig{

//If you have create your own ldap database user change the following line
public static $ldap_user = "ldapmin@localhost";


public static $sqlclient_delim = ".";
public static $set_client_delim = "\d ";
public static $sql_syntax_delim = ";";

public static $drop_table = "DROP TABLE IF EXISTS `%table%`";
public static $drop_function = "DROP FUNCTION IF EXISTS `%function%`";
public static $drop_procedure = "DROP PROCEDURE IF EXISTS `%procedure%`";
public static $create_database = "CREATE DATABASE `%db%` ( )";

public static $ifNotExists = "IF NOT EXISTS";
public static $orReplace = "OR REPLACE";
public static $ifExists = "IF EXISTS";

public static $create_table = "CREATE TABLE %ifNotExists% `%table%`\n(\n%default% %fields%)";
public static $create_view = "CREATE %replace% VIEW %view% AS SELECT %default_attr_fields% %table% AS %view% FROM %table%;";
public static $create_function = "CREATE\n%user%\nFUNCTION `%function%` (%parms%) RETURNS %returnType%\nBEGIN\n%sqlcmd%END";
public static $create_procedure = 'CREATE %user% PROCEDURE `%procedure%` (%parms%) BEGIN %sqlcmd% END';

public static $select = "SELECT %fields% FROM `%table%` WHERE %cond%";
public static $insert = "INSERT INTO `%table%`\n(%fields%) VALUES\n(%values%)";
public static $update = "UPDATE `%table%` SET %fields% WHERE %cond%";
public static $delete = "DELETE FROM `%table%` WHERE %cond%";

public static $var_last_id = "@last_oc_id";
public static $collect_last_id = "SET @last_oc_id = LAST_INSERT_ID()";

public static $return_last_insert_id = "RETURN LAST_INSERT_ID()";

public static $table_oc_mappings = "ldap_oc_mappings";
public static $table_attr_mappings = "ldap_attr_mappings";

public static $ldap_oc_mappings_fields = "`id`, `name`, `keytbl`, `keycol`, `create_proc`, `delete_proc`, `expect_return`";
public static $ldap_attr_mappings_fields = "`id`, `oc_map_id`, `name`, `sel_expr`, `sel_expr_u`, `from_tbls`, `join_where`, `add_proc`, `delete_proc`, `param_order`, `expect_return`";

public static $objectclass_default_fields="`id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT";
public static $attribute_default_fields="`ref_id` BIGINT UNSIGNED ZEROFILL, \n`ref_oc` VARCHAR(255) NULL";

public static $default_attr_fields="`ref_id`, `ref_oc`";

public static $ldap_setuser = "DEFINER ="; 
}

?>