<?php
/*
 * Created on Mar 14, 2007
 * By Paul Leung
 * 
 * This will going to create all the table function and metadata need to run openldap back-sql
 * on backend mysql ver 5.0 or above 
 */
header('Content-Disposition: attachment; filename="runthis.sql"');

require('ldap_syntax.php');
require('class.php');
require('config.php');

//The following is the schema list you want to configure for the back-sql
//except the system.schema, you can add or drop another other schema file
//remember schema file might have attribute related to each other
//double check before you remove or add any schema file to the list
$schemafiles = array(
'system.schema',
'core.schema',
'inetorgperson.schema',
'java.schema',
'corba.schema',
'cosine.schema',
'dyngroup.schema',
'misc.schema',
'nis.schema',
'openldap.schema',
'ppolicy.schema'
);


$result='';
$schemafiles = new scheamFiles($schemafiles);
$dictionary = new schemaDict();

foreach ($schemafiles->schemas as $key=>$item){
	$test = new itemOperation($item);
	$dictionary->appendItem($test);
	$test = null;
}
$dictionary->finallize();

echo sqlConfig::$set_client_delim." ".sqlConfig::$sqlclient_delim."\n";
$dictionary->printInsertMetadata();
$dictionary->printOCFunctions();
$dictionary->printCreateTable();
?>